
/* 
 * Copyright (c) 2003 LAAS/CNRS
 * Sara Fleury
 * All rights reserved.
 *
 * Redistribution and use  in source  and binary  forms,  with or without
 * modification, are permitted provided that the following conditions are
 * met:
 *
 *   1. Redistributions of  source  code must retain the  above copyright
 *      notice, this list of conditions and the following disclaimer.
 *   2. Redistributions in binary form must reproduce the above copyright
 *      notice,  this list of  conditions and the following disclaimer in
 *      the  documentation  and/or  other   materials provided  with  the
 *      distribution.
 *
 * THIS  SOFTWARE IS PROVIDED BY  THE  COPYRIGHT HOLDERS AND CONTRIBUTORS
 * "AS IS" AND  ANY  EXPRESS OR IMPLIED  WARRANTIES,  INCLUDING,  BUT NOT
 * LIMITED TO, THE IMPLIED WARRANTIES  OF MERCHANTABILITY AND FITNESS FOR
 * A PARTICULAR  PURPOSE ARE DISCLAIMED. IN  NO EVENT SHALL THE COPYRIGHT
 * HOLDERS OR      CONTRIBUTORS  BE LIABLE FOR   ANY    DIRECT, INDIRECT,
 * INCIDENTAL,  SPECIAL,  EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING,
 * BUT NOT LIMITED TO, PROCUREMENT OF  SUBSTITUTE GOODS OR SERVICES; LOSS
 * OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND
 * ON ANY THEORY OF LIABILITY, WHETHER IN  CONTRACT, STRICT LIABILITY, OR
 * TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE
 * USE   OF THIS SOFTWARE, EVEN   IF ADVISED OF   THE POSSIBILITY OF SUCH
 * DAMAGE.
 */

/*------------------  Fichier gnr automatiquement ------------------*/
/*------------------  Ne pas diter manuellement !!! ------------------*/

#ifndef SCOUT_PRINTXML_H
#define SCOUT_PRINTXML_H

#include "genom/printScan.h"
#include "genom/printXMLProto.h"

/* Structures definies par d'autres modules */


#include "scoutPosterLib.h"

/* Prototypes */
extern void printXML_struct_SCOUT_STATE_POSTER_STR ( FILE *out, char *name,
     struct SCOUT_STATE_POSTER_STR *x,
     int indent, int nDim, int *dims, FILE *in );
extern void printXML_struct_SCOUT_REFERENCES_POSTER_STR ( FILE *out, char *name,
     struct SCOUT_REFERENCES_POSTER_STR *x,
     int indent, int nDim, int *dims, FILE *in );
extern void printXML_struct_SCOUT_SENSORSCONFIG_POSTER_STR ( FILE *out, char *name,
     struct SCOUT_SENSORSCONFIG_POSTER_STR *x,
     int indent, int nDim, int *dims, FILE *in );
extern void printXML_struct_SCOUT_SONARS_POSTER_STR ( FILE *out, char *name,
     struct SCOUT_SONARS_POSTER_STR *x,
     int indent, int nDim, int *dims, FILE *in );
extern void printXML_struct_SCOUT_BUMPER_POSTER_STR ( FILE *out, char *name,
     struct SCOUT_BUMPER_POSTER_STR *x,
     int indent, int nDim, int *dims, FILE *in );
extern void printXML_struct_SCOUT_ROBOT_POSTER_STR ( FILE *out, char *name,
     struct SCOUT_ROBOT_POSTER_STR *x,
     int indent, int nDim, int *dims, FILE *in );
extern void printXML_struct_SCOUT_STR ( FILE *out, char *name,
     struct SCOUT_STR *x,
     int indent, int nDim, int *dims, FILE *in );
extern void printXML_struct_SCOUT_BATTERIES_STR ( FILE *out, char *name,
     struct SCOUT_BATTERIES_STR *x,
     int indent, int nDim, int *dims, FILE *in );
extern void printXML_enum_SCOUT_BATTERY_STATE ( FILE *out, char *name,
     enum SCOUT_BATTERY_STATE *x,
     int indent, int nDim, int *dims, FILE *in );
extern void printXML_enum_SCOUT_ALARMS_TYPE ( FILE *out, char *name,
     enum SCOUT_ALARMS_TYPE *x,
     int indent, int nDim, int *dims, FILE *in );
extern void printXML_struct_SCOUT_ALARMS ( FILE *out, char *name,
     struct SCOUT_ALARMS *x,
     int indent, int nDim, int *dims, FILE *in );
extern void printXML_struct_SCOUT_SONARS_FIRING_ORDER ( FILE *out, char *name,
     struct SCOUT_SONARS_FIRING_ORDER *x,
     int indent, int nDim, int *dims, FILE *in );
extern void printXML_struct_SCOUT_SONARS_ECHO_XY ( FILE *out, char *name,
     struct SCOUT_SONARS_ECHO_XY *x,
     int indent, int nDim, int *dims, FILE *in );
extern void printXML_struct_SCOUT_SONARS_ECHO_RHO ( FILE *out, char *name,
     struct SCOUT_SONARS_ECHO_RHO *x,
     int indent, int nDim, int *dims, FILE *in );
extern void printXML_struct_SCOUT_SONARS_CONFIG ( FILE *out, char *name,
     struct SCOUT_SONARS_CONFIG *x,
     int indent, int nDim, int *dims, FILE *in );
extern void printXML_struct_SCOUT_BUMPERS_POS ( FILE *out, char *name,
     struct SCOUT_BUMPERS_POS *x,
     int indent, int nDim, int *dims, FILE *in );
extern void printXML_struct_SCOUT_BUMBERS_STATE ( FILE *out, char *name,
     struct SCOUT_BUMBERS_STATE *x,
     int indent, int nDim, int *dims, FILE *in );
extern void printXML_struct_SCOUT_TRACK_STR ( FILE *out, char *name,
     struct SCOUT_TRACK_STR *x,
     int indent, int nDim, int *dims, FILE *in );
extern void printXML_enum_SCOUT_TRACK_MODE ( FILE *out, char *name,
     enum SCOUT_TRACK_MODE *x,
     int indent, int nDim, int *dims, FILE *in );
extern void printXML_struct_SCOUT_SPEED_REF_STR ( FILE *out, char *name,
     struct SCOUT_SPEED_REF_STR *x,
     int indent, int nDim, int *dims, FILE *in );
extern void printXML_struct_SCOUT_CMD_PARAM_STR ( FILE *out, char *name,
     struct SCOUT_CMD_PARAM_STR *x,
     int indent, int nDim, int *dims, FILE *in );
extern void printXML_struct_SCOUT_REF_STR ( FILE *out, char *name,
     struct SCOUT_REF_STR *x,
     int indent, int nDim, int *dims, FILE *in );
extern void printXML_enum_SCOUT_MOTION_DIRECTION ( FILE *out, char *name,
     enum SCOUT_MOTION_DIRECTION *x,
     int indent, int nDim, int *dims, FILE *in );
extern void printXML_struct_SCOUT_POSTER_NAME ( FILE *out, char *name,
     struct SCOUT_POSTER_NAME *x,
     int indent, int nDim, int *dims, FILE *in );
extern void printXML_enum_SCOUT_MOTION_TYPE ( FILE *out, char *name,
     enum SCOUT_MOTION_TYPE *x,
     int indent, int nDim, int *dims, FILE *in );
extern void printXML_struct_SCOUT_TURN ( FILE *out, char *name,
     struct SCOUT_TURN *x,
     int indent, int nDim, int *dims, FILE *in );
extern void printXML_struct_SCOUT_CONNECT_PARAM ( FILE *out, char *name,
     struct SCOUT_CONNECT_PARAM *x,
     int indent, int nDim, int *dims, FILE *in );
extern void printXML_enum_SCOUT_CONNECT_MODE ( FILE *out, char *name,
     enum SCOUT_CONNECT_MODE *x,
     int indent, int nDim, int *dims, FILE *in );
extern void printXML_struct_SCOUT_SET_POS_STR ( FILE *out, char *name,
     struct SCOUT_SET_POS_STR *x,
     int indent, int nDim, int *dims, FILE *in );
extern void printXML_struct_SCOUT_ODO_STR ( FILE *out, char *name,
     struct SCOUT_ODO_STR *x,
     int indent, int nDim, int *dims, FILE *in );
extern void printXML_struct_SCOUT_ODO_VAR_STR ( FILE *out, char *name,
     struct SCOUT_ODO_VAR_STR *x,
     int indent, int nDim, int *dims, FILE *in );
extern void printXML_struct_SCOUT_POS_STR ( FILE *out, char *name,
     struct SCOUT_POS_STR *x,
     int indent, int nDim, int *dims, FILE *in );
extern void printXML_struct_SCOUT_SPEEDS ( FILE *out, char *name,
     struct SCOUT_SPEEDS *x,
     int indent, int nDim, int *dims, FILE *in );
extern void printXML_struct_SCOUT_WHEELS_SPEED ( FILE *out, char *name,
     struct SCOUT_WHEELS_SPEED *x,
     int indent, int nDim, int *dims, FILE *in );
extern void printXML_enum_SCOUT_BOOL ( FILE *out, char *name,
     enum SCOUT_BOOL *x,
     int indent, int nDim, int *dims, FILE *in );
extern void printXML_struct_SCOUT_POS ( FILE *out, char *name,
     struct SCOUT_POS *x,
     int indent, int nDim, int *dims, FILE *in );
extern void printXML_struct_SCOUT_CONFIG ( FILE *out, char *name,
     struct SCOUT_CONFIG *x,
     int indent, int nDim, int *dims, FILE *in );

/* ======================== PRINT DES TYPEDEF ============================= */

extern void printXML_SCOUT_CONFIG ( FILE *out, char *name,
     SCOUT_CONFIG *x,
     int indent, int nDim, int *dims, FILE *in );
extern void printXML_SCOUT_POS ( FILE *out, char *name,
     SCOUT_POS *x,
     int indent, int nDim, int *dims, FILE *in );
extern void printXML_SCOUT_BOOL ( FILE *out, char *name,
     SCOUT_BOOL *x,
     int indent, int nDim, int *dims, FILE *in );
extern void printXML_SCOUT_WHEELS_SPEED ( FILE *out, char *name,
     SCOUT_WHEELS_SPEED *x,
     int indent, int nDim, int *dims, FILE *in );
extern void printXML_SCOUT_SPEEDS ( FILE *out, char *name,
     SCOUT_SPEEDS *x,
     int indent, int nDim, int *dims, FILE *in );
extern void printXML_SCOUT_POS_STR ( FILE *out, char *name,
     SCOUT_POS_STR *x,
     int indent, int nDim, int *dims, FILE *in );
extern void printXML_SCOUT_ODO_VAR_STR ( FILE *out, char *name,
     SCOUT_ODO_VAR_STR *x,
     int indent, int nDim, int *dims, FILE *in );
extern void printXML_SCOUT_ODO_STR ( FILE *out, char *name,
     SCOUT_ODO_STR *x,
     int indent, int nDim, int *dims, FILE *in );
extern void printXML_SCOUT_SET_POS_STR ( FILE *out, char *name,
     SCOUT_SET_POS_STR *x,
     int indent, int nDim, int *dims, FILE *in );
extern void printXML_SCOUT_CONNECT_MODE ( FILE *out, char *name,
     SCOUT_CONNECT_MODE *x,
     int indent, int nDim, int *dims, FILE *in );
extern void printXML_SCOUT_CONNECT_PARAM ( FILE *out, char *name,
     SCOUT_CONNECT_PARAM *x,
     int indent, int nDim, int *dims, FILE *in );
extern void printXML_SCOUT_TURN ( FILE *out, char *name,
     SCOUT_TURN *x,
     int indent, int nDim, int *dims, FILE *in );
extern void printXML_SCOUT_MOTION_TYPE ( FILE *out, char *name,
     SCOUT_MOTION_TYPE *x,
     int indent, int nDim, int *dims, FILE *in );
extern void printXML_SCOUT_POSTER_NAME ( FILE *out, char *name,
     SCOUT_POSTER_NAME *x,
     int indent, int nDim, int *dims, FILE *in );
extern void printXML_SCOUT_MOTION_DIRECTION ( FILE *out, char *name,
     SCOUT_MOTION_DIRECTION *x,
     int indent, int nDim, int *dims, FILE *in );
extern void printXML_SCOUT_REF_STR ( FILE *out, char *name,
     SCOUT_REF_STR *x,
     int indent, int nDim, int *dims, FILE *in );
extern void printXML_SCOUT_CMD_PARAM_STR ( FILE *out, char *name,
     SCOUT_CMD_PARAM_STR *x,
     int indent, int nDim, int *dims, FILE *in );
extern void printXML_SCOUT_SPEED_REF_STR ( FILE *out, char *name,
     SCOUT_SPEED_REF_STR *x,
     int indent, int nDim, int *dims, FILE *in );
extern void printXML_SCOUT_TRACK_MODE ( FILE *out, char *name,
     SCOUT_TRACK_MODE *x,
     int indent, int nDim, int *dims, FILE *in );
extern void printXML_SCOUT_TRACK_STR ( FILE *out, char *name,
     SCOUT_TRACK_STR *x,
     int indent, int nDim, int *dims, FILE *in );
extern void printXML_SCOUT_BUMBERS_STATE ( FILE *out, char *name,
     SCOUT_BUMBERS_STATE *x,
     int indent, int nDim, int *dims, FILE *in );
extern void printXML_SCOUT_BUMPERS_POS ( FILE *out, char *name,
     SCOUT_BUMPERS_POS *x,
     int indent, int nDim, int *dims, FILE *in );
extern void printXML_SCOUT_SONARS_CONFIG ( FILE *out, char *name,
     SCOUT_SONARS_CONFIG *x,
     int indent, int nDim, int *dims, FILE *in );
extern void printXML_SCOUT_SONARS_ECHO_RHO ( FILE *out, char *name,
     SCOUT_SONARS_ECHO_RHO *x,
     int indent, int nDim, int *dims, FILE *in );
extern void printXML_SCOUT_SONARS_ECHO_XY ( FILE *out, char *name,
     SCOUT_SONARS_ECHO_XY *x,
     int indent, int nDim, int *dims, FILE *in );
extern void printXML_SCOUT_SONARS_FIRING_ORDER ( FILE *out, char *name,
     SCOUT_SONARS_FIRING_ORDER *x,
     int indent, int nDim, int *dims, FILE *in );
extern void printXML_SCOUT_ALARMS ( FILE *out, char *name,
     SCOUT_ALARMS *x,
     int indent, int nDim, int *dims, FILE *in );
extern void printXML_SCOUT_ALARMS_TYPE ( FILE *out, char *name,
     SCOUT_ALARMS_TYPE *x,
     int indent, int nDim, int *dims, FILE *in );
extern void printXML_SCOUT_BATTERY_STATE ( FILE *out, char *name,
     SCOUT_BATTERY_STATE *x,
     int indent, int nDim, int *dims, FILE *in );
extern void printXML_SCOUT_BATTERIES_STR ( FILE *out, char *name,
     SCOUT_BATTERIES_STR *x,
     int indent, int nDim, int *dims, FILE *in );
extern void printXML_SCOUT_STR ( FILE *out, char *name,
     SCOUT_STR *x,
     int indent, int nDim, int *dims, FILE *in );
extern void printXML_SCOUT_ROBOT_POSTER_STR ( FILE *out, char *name,
     SCOUT_ROBOT_POSTER_STR *x,
     int indent, int nDim, int *dims, FILE *in );
extern void printXML_SCOUT_BUMPER_POSTER_STR ( FILE *out, char *name,
     SCOUT_BUMPER_POSTER_STR *x,
     int indent, int nDim, int *dims, FILE *in );
extern void printXML_SCOUT_SONARS_POSTER_STR ( FILE *out, char *name,
     SCOUT_SONARS_POSTER_STR *x,
     int indent, int nDim, int *dims, FILE *in );
extern void printXML_SCOUT_SENSORSCONFIG_POSTER_STR ( FILE *out, char *name,
     SCOUT_SENSORSCONFIG_POSTER_STR *x,
     int indent, int nDim, int *dims, FILE *in );
extern void printXML_SCOUT_REFERENCES_POSTER_STR ( FILE *out, char *name,
     SCOUT_REFERENCES_POSTER_STR *x,
     int indent, int nDim, int *dims, FILE *in );
extern void printXML_SCOUT_STATE_POSTER_STR ( FILE *out, char *name,
     SCOUT_STATE_POSTER_STR *x,
     int indent, int nDim, int *dims, FILE *in );

#endif /* SCOUT_PRINT_XML_H */

