
/* 
 * Copyright (c) 1993-2003 LAAS/CNRS
 * All rights reserved.
 *
 * Redistribution and use  in source  and binary  forms,  with or without
 * modification, are permitted provided that the following conditions are
 * met:
 *
 *   1. Redistributions of  source  code must retain the  above copyright
 *      notice, this list of conditions and the following disclaimer.
 *   2. Redistributions in binary form must reproduce the above copyright
 *      notice,  this list of  conditions and the following disclaimer in
 *      the  documentation  and/or  other   materials provided  with  the
 *      distribution.
 *
 * THIS  SOFTWARE IS PROVIDED BY  THE  COPYRIGHT HOLDERS AND CONTRIBUTORS
 * "AS IS" AND  ANY  EXPRESS OR IMPLIED  WARRANTIES,  INCLUDING,  BUT NOT
 * LIMITED TO, THE IMPLIED WARRANTIES  OF MERCHANTABILITY AND FITNESS FOR
 * A PARTICULAR  PURPOSE ARE DISCLAIMED. IN  NO EVENT SHALL THE COPYRIGHT
 * HOLDERS OR      CONTRIBUTORS  BE LIABLE FOR   ANY    DIRECT, INDIRECT,
 * INCIDENTAL,  SPECIAL,  EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING,
 * BUT NOT LIMITED TO, PROCUREMENT OF  SUBSTITUTE GOODS OR SERVICES; LOSS
 * OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND
 * ON ANY THEORY OF LIABILITY, WHETHER IN  CONTRACT, STRICT LIABILITY, OR
 * TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE
 * USE   OF THIS SOFTWARE, EVEN   IF ADVISED OF   THE POSSIBILITY OF SUCH
 * DAMAGE.
 */

/*------------------  Fichier gnr automatiquement ------------------*/
/*------------------  Ne pas diter manuellement !!! ------------------*/

#ifndef SCOUT_SCAN_H
#define SCOUT_SCAN_H

#include "genom/printScan.h"

/* Structures definies par d'autres modules */


/* Structures du module */
#include "scoutPosterLib.h"

/* Prototypes */
#ifdef __cplusplus
extern "C" {
#endif
extern int scan_struct_SCOUT_STATE_POSTER_STR ( FILE *in, FILE *out,
       struct SCOUT_STATE_POSTER_STR *x, int indent, int nDim, int *dims );
extern int scan_struct_SCOUT_REFERENCES_POSTER_STR ( FILE *in, FILE *out,
       struct SCOUT_REFERENCES_POSTER_STR *x, int indent, int nDim, int *dims );
extern int scan_struct_SCOUT_SENSORSCONFIG_POSTER_STR ( FILE *in, FILE *out,
       struct SCOUT_SENSORSCONFIG_POSTER_STR *x, int indent, int nDim, int *dims );
extern int scan_struct_SCOUT_SONARS_POSTER_STR ( FILE *in, FILE *out,
       struct SCOUT_SONARS_POSTER_STR *x, int indent, int nDim, int *dims );
extern int scan_struct_SCOUT_BUMPER_POSTER_STR ( FILE *in, FILE *out,
       struct SCOUT_BUMPER_POSTER_STR *x, int indent, int nDim, int *dims );
extern int scan_struct_SCOUT_ROBOT_POSTER_STR ( FILE *in, FILE *out,
       struct SCOUT_ROBOT_POSTER_STR *x, int indent, int nDim, int *dims );
extern int scan_struct_SCOUT_STR ( FILE *in, FILE *out,
       struct SCOUT_STR *x, int indent, int nDim, int *dims );
extern int scan_struct_SCOUT_BATTERIES_STR ( FILE *in, FILE *out,
       struct SCOUT_BATTERIES_STR *x, int indent, int nDim, int *dims );
extern int scan_enum_SCOUT_BATTERY_STATE ( FILE *in, FILE *out,
       enum SCOUT_BATTERY_STATE *x, int indent, int nDim, int *dims );
extern int scan_enum_SCOUT_ALARMS_TYPE ( FILE *in, FILE *out,
       enum SCOUT_ALARMS_TYPE *x, int indent, int nDim, int *dims );
extern int scan_struct_SCOUT_ALARMS ( FILE *in, FILE *out,
       struct SCOUT_ALARMS *x, int indent, int nDim, int *dims );
extern int scan_struct_SCOUT_SONARS_FIRING_ORDER ( FILE *in, FILE *out,
       struct SCOUT_SONARS_FIRING_ORDER *x, int indent, int nDim, int *dims );
extern int scan_struct_SCOUT_SONARS_ECHO_XY ( FILE *in, FILE *out,
       struct SCOUT_SONARS_ECHO_XY *x, int indent, int nDim, int *dims );
extern int scan_struct_SCOUT_SONARS_ECHO_RHO ( FILE *in, FILE *out,
       struct SCOUT_SONARS_ECHO_RHO *x, int indent, int nDim, int *dims );
extern int scan_struct_SCOUT_SONARS_CONFIG ( FILE *in, FILE *out,
       struct SCOUT_SONARS_CONFIG *x, int indent, int nDim, int *dims );
extern int scan_struct_SCOUT_BUMPERS_POS ( FILE *in, FILE *out,
       struct SCOUT_BUMPERS_POS *x, int indent, int nDim, int *dims );
extern int scan_struct_SCOUT_BUMBERS_STATE ( FILE *in, FILE *out,
       struct SCOUT_BUMBERS_STATE *x, int indent, int nDim, int *dims );
extern int scan_struct_SCOUT_TRACK_STR ( FILE *in, FILE *out,
       struct SCOUT_TRACK_STR *x, int indent, int nDim, int *dims );
extern int scan_enum_SCOUT_TRACK_MODE ( FILE *in, FILE *out,
       enum SCOUT_TRACK_MODE *x, int indent, int nDim, int *dims );
extern int scan_struct_SCOUT_SPEED_REF_STR ( FILE *in, FILE *out,
       struct SCOUT_SPEED_REF_STR *x, int indent, int nDim, int *dims );
extern int scan_struct_SCOUT_CMD_PARAM_STR ( FILE *in, FILE *out,
       struct SCOUT_CMD_PARAM_STR *x, int indent, int nDim, int *dims );
extern int scan_struct_SCOUT_REF_STR ( FILE *in, FILE *out,
       struct SCOUT_REF_STR *x, int indent, int nDim, int *dims );
extern int scan_enum_SCOUT_MOTION_DIRECTION ( FILE *in, FILE *out,
       enum SCOUT_MOTION_DIRECTION *x, int indent, int nDim, int *dims );
extern int scan_struct_SCOUT_POSTER_NAME ( FILE *in, FILE *out,
       struct SCOUT_POSTER_NAME *x, int indent, int nDim, int *dims );
extern int scan_enum_SCOUT_MOTION_TYPE ( FILE *in, FILE *out,
       enum SCOUT_MOTION_TYPE *x, int indent, int nDim, int *dims );
extern int scan_struct_SCOUT_TURN ( FILE *in, FILE *out,
       struct SCOUT_TURN *x, int indent, int nDim, int *dims );
extern int scan_struct_SCOUT_CONNECT_PARAM ( FILE *in, FILE *out,
       struct SCOUT_CONNECT_PARAM *x, int indent, int nDim, int *dims );
extern int scan_enum_SCOUT_CONNECT_MODE ( FILE *in, FILE *out,
       enum SCOUT_CONNECT_MODE *x, int indent, int nDim, int *dims );
extern int scan_struct_SCOUT_SET_POS_STR ( FILE *in, FILE *out,
       struct SCOUT_SET_POS_STR *x, int indent, int nDim, int *dims );
extern int scan_struct_SCOUT_ODO_STR ( FILE *in, FILE *out,
       struct SCOUT_ODO_STR *x, int indent, int nDim, int *dims );
extern int scan_struct_SCOUT_ODO_VAR_STR ( FILE *in, FILE *out,
       struct SCOUT_ODO_VAR_STR *x, int indent, int nDim, int *dims );
extern int scan_struct_SCOUT_POS_STR ( FILE *in, FILE *out,
       struct SCOUT_POS_STR *x, int indent, int nDim, int *dims );
extern int scan_struct_SCOUT_SPEEDS ( FILE *in, FILE *out,
       struct SCOUT_SPEEDS *x, int indent, int nDim, int *dims );
extern int scan_struct_SCOUT_WHEELS_SPEED ( FILE *in, FILE *out,
       struct SCOUT_WHEELS_SPEED *x, int indent, int nDim, int *dims );
extern int scan_enum_SCOUT_BOOL ( FILE *in, FILE *out,
       enum SCOUT_BOOL *x, int indent, int nDim, int *dims );
extern int scan_struct_SCOUT_POS ( FILE *in, FILE *out,
       struct SCOUT_POS *x, int indent, int nDim, int *dims );
extern int scan_struct_SCOUT_CONFIG ( FILE *in, FILE *out,
       struct SCOUT_CONFIG *x, int indent, int nDim, int *dims );

/* ======================== SCAN DES TYPEDEF ============================= */

extern int scan_SCOUT_CONFIG ( FILE *in, FILE *out,
       SCOUT_CONFIG *x, int indent, int nDim, int *dims );
extern int scan_SCOUT_POS ( FILE *in, FILE *out,
       SCOUT_POS *x, int indent, int nDim, int *dims );
extern int scan_SCOUT_BOOL ( FILE *in, FILE *out,
       SCOUT_BOOL *x, int indent, int nDim, int *dims );
extern int scan_SCOUT_WHEELS_SPEED ( FILE *in, FILE *out,
       SCOUT_WHEELS_SPEED *x, int indent, int nDim, int *dims );
extern int scan_SCOUT_SPEEDS ( FILE *in, FILE *out,
       SCOUT_SPEEDS *x, int indent, int nDim, int *dims );
extern int scan_SCOUT_POS_STR ( FILE *in, FILE *out,
       SCOUT_POS_STR *x, int indent, int nDim, int *dims );
extern int scan_SCOUT_ODO_VAR_STR ( FILE *in, FILE *out,
       SCOUT_ODO_VAR_STR *x, int indent, int nDim, int *dims );
extern int scan_SCOUT_ODO_STR ( FILE *in, FILE *out,
       SCOUT_ODO_STR *x, int indent, int nDim, int *dims );
extern int scan_SCOUT_SET_POS_STR ( FILE *in, FILE *out,
       SCOUT_SET_POS_STR *x, int indent, int nDim, int *dims );
extern int scan_SCOUT_CONNECT_MODE ( FILE *in, FILE *out,
       SCOUT_CONNECT_MODE *x, int indent, int nDim, int *dims );
extern int scan_SCOUT_CONNECT_PARAM ( FILE *in, FILE *out,
       SCOUT_CONNECT_PARAM *x, int indent, int nDim, int *dims );
extern int scan_SCOUT_TURN ( FILE *in, FILE *out,
       SCOUT_TURN *x, int indent, int nDim, int *dims );
extern int scan_SCOUT_MOTION_TYPE ( FILE *in, FILE *out,
       SCOUT_MOTION_TYPE *x, int indent, int nDim, int *dims );
extern int scan_SCOUT_POSTER_NAME ( FILE *in, FILE *out,
       SCOUT_POSTER_NAME *x, int indent, int nDim, int *dims );
extern int scan_SCOUT_MOTION_DIRECTION ( FILE *in, FILE *out,
       SCOUT_MOTION_DIRECTION *x, int indent, int nDim, int *dims );
extern int scan_SCOUT_REF_STR ( FILE *in, FILE *out,
       SCOUT_REF_STR *x, int indent, int nDim, int *dims );
extern int scan_SCOUT_CMD_PARAM_STR ( FILE *in, FILE *out,
       SCOUT_CMD_PARAM_STR *x, int indent, int nDim, int *dims );
extern int scan_SCOUT_SPEED_REF_STR ( FILE *in, FILE *out,
       SCOUT_SPEED_REF_STR *x, int indent, int nDim, int *dims );
extern int scan_SCOUT_TRACK_MODE ( FILE *in, FILE *out,
       SCOUT_TRACK_MODE *x, int indent, int nDim, int *dims );
extern int scan_SCOUT_TRACK_STR ( FILE *in, FILE *out,
       SCOUT_TRACK_STR *x, int indent, int nDim, int *dims );
extern int scan_SCOUT_BUMBERS_STATE ( FILE *in, FILE *out,
       SCOUT_BUMBERS_STATE *x, int indent, int nDim, int *dims );
extern int scan_SCOUT_BUMPERS_POS ( FILE *in, FILE *out,
       SCOUT_BUMPERS_POS *x, int indent, int nDim, int *dims );
extern int scan_SCOUT_SONARS_CONFIG ( FILE *in, FILE *out,
       SCOUT_SONARS_CONFIG *x, int indent, int nDim, int *dims );
extern int scan_SCOUT_SONARS_ECHO_RHO ( FILE *in, FILE *out,
       SCOUT_SONARS_ECHO_RHO *x, int indent, int nDim, int *dims );
extern int scan_SCOUT_SONARS_ECHO_XY ( FILE *in, FILE *out,
       SCOUT_SONARS_ECHO_XY *x, int indent, int nDim, int *dims );
extern int scan_SCOUT_SONARS_FIRING_ORDER ( FILE *in, FILE *out,
       SCOUT_SONARS_FIRING_ORDER *x, int indent, int nDim, int *dims );
extern int scan_SCOUT_ALARMS ( FILE *in, FILE *out,
       SCOUT_ALARMS *x, int indent, int nDim, int *dims );
extern int scan_SCOUT_ALARMS_TYPE ( FILE *in, FILE *out,
       SCOUT_ALARMS_TYPE *x, int indent, int nDim, int *dims );
extern int scan_SCOUT_BATTERY_STATE ( FILE *in, FILE *out,
       SCOUT_BATTERY_STATE *x, int indent, int nDim, int *dims );
extern int scan_SCOUT_BATTERIES_STR ( FILE *in, FILE *out,
       SCOUT_BATTERIES_STR *x, int indent, int nDim, int *dims );
extern int scan_SCOUT_STR ( FILE *in, FILE *out,
       SCOUT_STR *x, int indent, int nDim, int *dims );
extern int scan_SCOUT_ROBOT_POSTER_STR ( FILE *in, FILE *out,
       SCOUT_ROBOT_POSTER_STR *x, int indent, int nDim, int *dims );
extern int scan_SCOUT_BUMPER_POSTER_STR ( FILE *in, FILE *out,
       SCOUT_BUMPER_POSTER_STR *x, int indent, int nDim, int *dims );
extern int scan_SCOUT_SONARS_POSTER_STR ( FILE *in, FILE *out,
       SCOUT_SONARS_POSTER_STR *x, int indent, int nDim, int *dims );
extern int scan_SCOUT_SENSORSCONFIG_POSTER_STR ( FILE *in, FILE *out,
       SCOUT_SENSORSCONFIG_POSTER_STR *x, int indent, int nDim, int *dims );
extern int scan_SCOUT_REFERENCES_POSTER_STR ( FILE *in, FILE *out,
       SCOUT_REFERENCES_POSTER_STR *x, int indent, int nDim, int *dims );
extern int scan_SCOUT_STATE_POSTER_STR ( FILE *in, FILE *out,
       SCOUT_STATE_POSTER_STR *x, int indent, int nDim, int *dims );
#ifdef __cplusplus
}
#endif

#endif /* SCOUT_SCAN_H */

