
/* 
 * Copyright (c) 1993-2003 LAAS/CNRS
 * All rights reserved.
 *
 * Redistribution and use  in source  and binary  forms,  with or without
 * modification, are permitted provided that the following conditions are
 * met:
 *
 *   1. Redistributions of  source  code must retain the  above copyright
 *      notice, this list of conditions and the following disclaimer.
 *   2. Redistributions in binary form must reproduce the above copyright
 *      notice,  this list of  conditions and the following disclaimer in
 *      the  documentation  and/or  other   materials provided  with  the
 *      distribution.
 *
 * THIS  SOFTWARE IS PROVIDED BY  THE  COPYRIGHT HOLDERS AND CONTRIBUTORS
 * "AS IS" AND  ANY  EXPRESS OR IMPLIED  WARRANTIES,  INCLUDING,  BUT NOT
 * LIMITED TO, THE IMPLIED WARRANTIES  OF MERCHANTABILITY AND FITNESS FOR
 * A PARTICULAR  PURPOSE ARE DISCLAIMED. IN  NO EVENT SHALL THE COPYRIGHT
 * HOLDERS OR      CONTRIBUTORS  BE LIABLE FOR   ANY    DIRECT, INDIRECT,
 * INCIDENTAL,  SPECIAL,  EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING,
 * BUT NOT LIMITED TO, PROCUREMENT OF  SUBSTITUTE GOODS OR SERVICES; LOSS
 * OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND
 * ON ANY THEORY OF LIABILITY, WHETHER IN  CONTRACT, STRICT LIABILITY, OR
 * TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE
 * USE   OF THIS SOFTWARE, EVEN   IF ADVISED OF   THE POSSIBILITY OF SUCH
 * DAMAGE.
 */

/*------------------  Fichier gnr automatiquement ------------------*/
/*------------------  Ne pas diter manuellement !!! ------------------*/

/* 
 * scoutType.h:     La SDI_F de scout
 *
 * Utilise par le module et par les clients
 * (inclut dans scoutMsgLib.h et scoutPosterLib.h)
 * 
 */

#ifndef scout_TYPE_H
#define scout_TYPE_H

#include "genom/modules.h"
#include "scoutError.h"

/* Nombre de tache d'execution de ce module */
#define SCOUT_NB_EXEC_TASK                   (2)


#endif
#ifndef scout_TYPE1_H
#define scout_TYPE1_H

#include "scoutStruct.h"

/*
 * Structure de donnees interne
 */
typedef struct SCOUT_STR {
	SCOUT_CONNECT_PARAM connectParam;
	SCOUT_CONNECT_MODE connectStatus;
	SCOUT_ODO_STR odo;
	SCOUT_SET_POS_STR setPos;
	SCOUT_WHEELS_SPEED wheelSpeed;
	SCOUT_SPEEDS speedMotorRef;
	SCOUT_MOTION_TYPE motionType;
	SCOUT_TURN turn;
	SCOUT_REF_STR ref;
	SCOUT_SPEED_REF_STR speedRef;
	SCOUT_TRACK_STR trackStr;
	SCOUT_CMD_PARAM_STR cmd;
	int scoutWaitRefMax;
	double nclientSimulSpeedFactor;
	SCOUT_SONARS_CONFIG sonarsCoord;
	SCOUT_SONARS_FIRING_ORDER sonarsFiring;
	SCOUT_SONARS_ECHO_RHO sonarsEcho;
	SCOUT_SONARS_ECHO_XY sonarsEchoFrameRobot;
	SCOUT_SONARS_ECHO_XY sonarsEchoFrameGlobal;
	SCOUT_BUMPERS_POS bumpersPos;
	SCOUT_BUMBERS_STATE bumpersState;
	SCOUT_ALARMS alarms;
	SCOUT_BATTERIES_STR batteriesLevel;
} SCOUT_STR;


#endif

